Index: tests/regressiontests/admin_scripts/management/commands/noargs_command.py
===================================================================
--- tests/regressiontests/admin_scripts/management/commands/noargs_command.py	(révision 13062)
+++ tests/regressiontests/admin_scripts/management/commands/noargs_command.py	(copie de travail)
@@ -1,9 +1,4 @@
 from django.core.management.base import NoArgsCommand
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
 
 class Command(NoArgsCommand):
     help = "Test No-args commands"
Index: tests/regressiontests/utils/tests.py
===================================================================
--- tests/regressiontests/utils/tests.py	(révision 13062)
+++ tests/regressiontests/utils/tests.py	(copie de travail)
@@ -10,25 +10,16 @@
 import timesince
 import datastructures
 import datetime_safe
-import itercompat
 import tzinfo
 
 from decorators import DecoratorFromMiddlewareTests
 from functional import FunctionalTestCase
 
-# We need this because "datastructures" uses sorted() and the tests are run in
-# the scope of this module.
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted  # For Python 2.3
-
 # Extra tests
 __test__ = {
     'timesince': timesince,
     'datastructures': datastructures,
     'datetime_safe': datetime_safe,
-    'itercompat': itercompat,
     'tzinfo': tzinfo,
 }
 
Index: tests/regressiontests/queries/models.py
===================================================================
--- tests/regressiontests/queries/models.py	(révision 13062)
+++ tests/regressiontests/queries/models.py	(copie de travail)
@@ -12,12 +12,6 @@
 from django.db.models import Count
 from django.db.models.query import Q, ITER_CHUNK_SIZE, EmptyQuerySet
 
-# Python 2.3 doesn't have sorted()
-try:
-    sorted
-except NameError:
-    from django.utils.itercompat import sorted
-
 class DumbCategory(models.Model):
     pass
 
@@ -1279,12 +1273,12 @@
 
 """}
 
-# In Python 2.3 and the Python 2.6 beta releases, exceptions raised in __len__
+# In Python 2.6 beta releases, exceptions raised in __len__
 # are swallowed (Python issue 1242657), so these cases return an empty list,
 # rather than raising an exception. Not a lot we can do about that,
 # unfortunately, due to the way Python handles list() calls internally. Thus,
-# we skip the tests for Python 2.3 and 2.6.
-if (2, 4) <= sys.version_info < (2, 6):
+# we skip the tests for Python 2.6.
+if sys.version_info < (2, 6):
     __test__["API_TESTS"] += """
 # If you're not careful, it's possible to introduce infinite loops via default
 # ordering on foreign keys in a cycle. We detect that.
Index: tests/runtests.py
===================================================================
--- tests/runtests.py	(révision 13062)
+++ tests/runtests.py	(copie de travail)
@@ -5,12 +5,6 @@
 
 import django.contrib as contrib
 
-try:
-    set
-except NameError:
-    from sets import Set as set     # For Python 2.3
-
-
 CONTRIB_DIR_NAME = 'django.contrib'
 MODEL_TESTS_DIR_NAME = 'modeltests'
 REGRESSION_TESTS_DIR_NAME = 'regressiontests'
